#include "x11control.h"

cX11Control::cX11Control(char* d)
{
  dpy = NULL;
  dpy = XOpenDisplay( d );
  if( dpy == NULL ) {
     printf( "Unable to open display %s\n",d);
  }
}

cX11Control::~cX11Control()
{
  if (dpy) XCloseDisplay( dpy );
}

void cX11Control::Mouse(int move)
{
  int dx = 10;
  int dy = 10;
  switch (move) {
	  case 8:         XTestFakeButtonEvent( dpy, 1, True, CurrentTime );
			XTestFakeButtonEvent( dpy, 1, False, CurrentTime );
			break;
	case 9:		XTestFakeButtonEvent( dpy, 2, True, CurrentTime );
			XTestFakeButtonEvent( dpy, 2, False, CurrentTime );
			break;
	case 1:
		        XTestFakeRelativeMotionEvent( dpy , -dx, 0, CurrentTime );
			break;
	case 2:    	XTestFakeRelativeMotionEvent( dpy , dx, 0, CurrentTime ); 
			break;
	case 3:   	XTestFakeRelativeMotionEvent( dpy , 0, -dy, CurrentTime ); 
			break;
        case 4:   	XTestFakeRelativeMotionEvent( dpy , 0 , dy, CurrentTime ); 
			break;
	default:   	return;
  }
  XFlush( dpy );
}
