#ifndef X11OSD_H
#define X11OSD_H

#include <vdr/thread.h>
#include <vdr/plugin.h>

#include "x11control.h"

#include <Magick++.h>
using namespace Magick;
#include <map>
#include <string>
#include <vector>


using std::map;
using std::string;
using std::vector;


class cX11OsdMenu : public cOsdObject, cThread {

private:
  cOsd *osd;
  bool _active;
  cX11Control* control;
  
public:
  cX11OsdMenu(void);
  virtual ~cX11OsdMenu();
  virtual void Show(void);
  virtual void Draw(void);
  virtual eOSState ProcessKey(eKeys Key);
  bool Start() { _active = true; return cThread::Start(); } //imported from cThread
  void Stop();
protected:
   //update thread
   virtual void Action();
  };

#endif
